Scribusoid

Author Topic: Why is it so GD hard to install this?  (Read 6199 times)

irritated

  • Newbie
  • *
  • Posts: 1
  • Karma: 0
  • Scribus User
Why is it so GD hard to install this?
« on: May 29, 2012, 03:46:15 am »
Okay - I'm pretty much a casual Linux user.  I have no trouble installing stuff from terminal, adding repos, whatever.  But when I try to do it that way I get a message telling me about cmake.  However when I try and do cmake instead of ./configure like every other single package I've ever installed, it just tells me about what commands I can do or whatever.  I don't know what to do, and it's not in the readme or in the more than sufficient googling I've done.  I just want to do ./configure, make, make install.  Nope. 

So I decided to say fuck that method, I'll install through Ubuntu Software Center.  Well the repo that it has by default has like version 1.3 or something, so I decided to change that around.  However, when I try to install it I get the following error (doesn't matter if I'm installing stable or ng):
Failed to fetch http://debian.scribus.net/debian/dists/maverick/main/binary-i386/libpodofo0.9.0_0.9.0-1_i386.deb Hash Sum mismatch
Failed to fetch http://debian.scribus.net/debian/dists/maverick/main/binary-i386/scribus_1.4.0.dfsg-1_i386.deb Hash Sum mismatch

What do I do?  I just want to make a flyer..

Nermander

  • Hero Member
  • *****
  • Posts: 1305
  • Karma: 17
Re: Why is it so GD hard to install this?
« Reply #1 on: May 29, 2012, 08:34:33 am »
I just want to do ./configure, make, make install. 

Well, that only works with the "old" make, but the Scribus developers have switched to cmake.

Here's information on how to compile Scribus using cmake:
http://wiki.scribus.net/canvas/Official:Compile_with_CMake

And if you want to install from the Scribus repos:
http://wiki.scribus.net/canvas/Debian

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2057
  • Karma: 27
    • the graphics lab
Re: Why is it so GD hard to install this?
« Reply #2 on: May 29, 2012, 02:47:54 pm »
if you read

http://wiki.scribus.net/canvas/Debian#2._Add_the_Scribus_Archive_signature_key

you will probably notice that you have missed that step.

basically: from time to time, there are people telling us that they have problems with the hashes, but almost every time the cause is an error somewhere on their system.

since most people like to share their problems but are not kind enough to share the solutions they've found, i can't point you to a list of way you could solve your problem. but it's very likely on your side :-)

and compiling scribus is not really an option for somebody who just wants to create a flyer.
in the worst case, just use the version ubuntu is providing you and if it's enough for you...
upgrade to the newest one, only if you hit a problem.
(well, it *is* better to use newer versions, but if you just want to achieve your goal, maybe you can do it with an older one...)

good luck!
a.l.e

tuoermin

  • Newbie
  • *
  • Posts: 1
  • Karma: 0
  • Scribus User
Re: Why is it so GD hard to install this?
« Reply #3 on: June 14, 2012, 10:50:49 am »
Have the same problem on Debian Stable. I've added the signature key first manual and then automated way. Problem persists.
Then went to check the hashes and there really is a "Hash Sum mismatch"
In the Packages file (http://debian.scribus.net/debian/dists/stable/main/binary-amd64/Packages) the MD5sum hash for libpodofo0.9.0 package is 5929e2b6b07c1fdfe292956d9fe2815e
The MD5sum hash of downloaded libpodofo0.9.0 package is 153169e35929e2b6b07c1fdfe292956d

The hashes for scribus package match.

Admin

  • Scribus Team Member
  • Administrator
  • Newbie
  • *****
  • Posts: 47
  • Karma: 7
    • scribus.net
Re: Why is it so GD hard to install this?
« Reply #4 on: June 14, 2012, 08:39:35 pm »
libpodofo packages have been rebuilt and uploaded to both repositories.
Scribus Forum Admin. Please PM with questions if you are having administrative problems with the forum.

erikgrtz

  • Newbie
  • *
  • Posts: 1
  • Karma: 0
  • Scribus User
Re: Why is it so GD hard to install this?
« Reply #5 on: July 22, 2012, 12:40:06 am »
totally agree. First problems with the keyring. Now problems with the hashes.
md5 sum are not the same. failure to install

md5sum  libpodofo0.9.0_0.9.0-1_i386.deb
82297f6e85e3dd54f635319ebd7f2048 libpodofo0.9.0_0.9.0-1_i386.deb

while http://debian.scribus.net/debian/dists/lucid/main/binary-i386/Packages
states that the md5sum should be 85e3dd54f635319ebd7f204826c2b2e3

???

ralphstirling

  • Newbie
  • *
  • Posts: 1
  • Karma: 0
  • Scribus User
Re: Why is it so hard to install this?
« Reply #6 on: July 27, 2012, 03:58:07 pm »
I'm having the exact same problem trying to install 1.4.1 on Ubuntu.


Get:1 http://debian.scribus.net/debian/ lucid/main libpodofo0.9.0 0.9.0-1 [564kB]
Get:2 http://debian.scribus.net/debian/ lucid/main libpodofo-dev 0.9.0-1 [199kB]
Fetched 763kB in 2s (315kB/s)       
Failed to fetch http://debian.scribus.net/debian/dists/lucid/main/binary-i386/libpodofo0.9.0_0.9.0-1_i386.deb  Hash Sum mismatch
Failed to fetch http://debian.scribus.net/debian/dists/lucid/main/binary-i386/libpodofo-dev_0.9.0-1_i386.deb  Hash Sum mismatch

Also, when I try to install the automatic key package, I get size mismatch:

Get:1 http://debian.scribus.net/debian/ lucid/main scribus-archive-keyring 2011.02.02-1 [3,150B]
Fetched 3,152B in 0s (7,921B/s)                 
Failed to fetch http://debian.scribus.net/debian/dists/lucid/main/binary-i386/scribus-archive-keyring_2011.02.02-1_all.deb  Size mismatch

-- Ralph

Andrew4096

  • Newbie
  • *
  • Posts: 2
  • Karma: 0
  • Scribus User
Re: Why is it so GD hard to install this?
« Reply #7 on: September 20, 2012, 08:26:58 am »
libpodofo packages have been rebuilt and uploaded to both repositories.

Evidently the problem has still not been fixed.  I just tried to install Scribus 1.4 on Ubuntu 10.04 from the Scribus repositories and it failed with a hash mismatch while attempting to install libpodofo.

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2057
  • Karma: 27
    • the graphics lab
Re: Why is it so GD hard to install this?
« Reply #8 on: September 20, 2012, 10:20:09 am »
on the one side i agree that this should be fixed... really!

but, people who use a two year old version of an OS should not complain with such tones, if newer software does not work on their older system!

also, if you want to make sure that this gets fixed, please report it to the bug tracker (http://bugs.scribus.net) or, even better, put a note in the existing ticket...
a forum, well, is there to discuss things...

and if everything fails, you can always use the scribus version provided by ubuntu in their repositories! you don't have to use the newest version to get things done!

ciao
a.l.e

reetp

  • Newbie
  • *
  • Posts: 1
  • Karma: 0
  • Scribus User
Re: Why is it so GD hard to install this?
« Reply #9 on: December 03, 2012, 07:35:00 pm »
on the one side i agree that this should be fixed... really!

It most certainly should

Quote
but, people who use a two year old version of an OS should not complain with such tones, if newer software does not work on their older system!

In that case it shouldn't be advertised as working with a particular version...... If it IS advertised as working, then work it should, however old the system may be.

In any event, 10.04 might be two years old but it is LTS and therefore Ubuntu supported (on the desktop) until April 2013. From 12.04 Precise LTS it will be 5 years.

Bearing in mind the age of say XP compared to Vista, 7 & 8, even Lucid isn't really that old.....

Quote
also, if you want to make sure that this gets fixed, please report it to the bug tracker (http://bugs.scribus.net) or, even better, put a note in the existing ticket...
a forum, well, is there to discuss things...

It was, evidently. And still unfixed http://bugs.scribus.net/view.php?id=10737

Though this alleges to have fixed it : http://bugs.scribus.net/view.php?id=10745 (not sure how the dates work there - it's not 2014 already is it ???)

Obviously some confusion, and it doesn't work for me. Will register on the trac.

Quote
and if everything fails, you can always use the scribus version provided by ubuntu in their repositories! you don't have to use the newest version to get things done!

No, but sometimes it helps :-)

Reet:P

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2057
  • Karma: 27
    • the graphics lab
Re: Why is it so GD hard to install this?
« Reply #10 on: December 03, 2012, 09:39:15 pm »
hi

Quote
Though this alleges to have fixed it : http://bugs.scribus.net/view.php?id=10745 (not sure how the dates work there - it's not 2014 already is it ???)
Quote

yy-Mon-dd ... but i agree, almost the worst way to show a date...

submitted:
http://bugs.scribus.net/view.php?id=11229

ciao
a.l.e

 

palmate